Summary:	Battery monitor plugin for the Xfce panel
Name:		xfce-battery-plugin
Version:	0.5.0
Release:	%mkrel 3
License:	BSD
Group:		Graphical desktop/Xfce
URL:		http://goodies.xfce.org/projects/panel-plugins/xfce4-battery-plugin
Source0:	xfce4-battery-plugin-%{version}.tar.bz2
Requires:	xfce-panel >= 4.4.0
BuildRequires:	xfce-panel-devel >= 4.4.0
BuildRequires:	libxfcegui4-devel >= 4.4.0
BuildRequires:	perl(XML::Parser)
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot

%description
Battery monitor panel plugin for the Xfce Desktop Environment.

%prep
%setup -qn xfce4-battery-plugin-%{version}

%build
%configure2_5x
%make

%install
rm -rf %{buildroot}
%makeinstall_std

#rm $RPM_BUILD_ROOT%{_libdir}/xfce4/panel-plugins/*.a
rm -f %{buildroot}%{_iconsdir}/hicolor/icon-theme.cache

%find_lang xfce4-battery-plugin

%post
%update_icon_cahe hicolor

%postun
%clean_icon_cache hicolor

%clean
rm -rf %{buildroot}

%files -f xfce4-battery-plugin.lang
%defattr(-,root,root)
%doc README ChangeLog COPYING AUTHORS
%{_libdir}/xfce4/panel-plugins/*
%{_datadir}/xfce4/panel-plugins/*
%{_iconsdir}/hicolor/*/devices/*


%changelog
* Thu May 31 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.5.0-3mdv2008.0
+ Revision: 33205
- add macros to %%post and %%postun
- spec file clean


* Sat Mar 03 2007 Stew Benedict <sbenedict@mandriva.com> 0.5.0-2mdv2007.0
+ Revision: 131783
- don't package /usr/share/icons/hicolor/icon-theme.cache

* Wed Jan 24 2007 Nicolas Lécureuil <neoclust@mandriva.org> 0.5.0-1mdv2007.1
+ Revision: 113031
- New version 0.5.0

* Fri Dec 15 2006 Jérôme Soyer <saispo@mandriva.org> 0.4.90.3-1mdv2007.1
+ Revision: 97268
- New release 0.4.90.3

* Wed Oct 25 2006 Nicolas Lécureuil <neoclust@mandriva.org> 0.4.90.2-2mdv2007.1
+ Revision: 72395
- Fix BuildRequires
- Rebuild
- import xfce-battery-plugin-0.4.90.2-1mdv2007.0

* Sun Sep 03 2006 Charles A Edwards <eslrahc@mandriva.org> 0.4.90.2-1mdv2007.0
- 0.4.90.2
- update URL
- bump R and BR

* Thu Jul 13 2006 Charles A Edwards <eslrahc@mandriva.org> 0.4.0-2mdv2007.0
- rebuild for xfce-4.3.90.2
- mkrel

* Fri Feb 11 2005 Marcel Pol <mpol@mandrake.org> 0.4.0-1mdk
- 0.4.0
- require new panel >= 4.3.0

* Sat Jan 22 2005 Marcel Pol <mpol@mandrake.org> 0.2.0-3mdk
- group: Graphical desktop/Xfce

* Fri Nov 19 2004 Marcel Pol <mpol@gmx.net> 0.2.0-2mdk
- build against new panel

